"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diagnose_resourcepack_sounds = void 0;
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
const Severity_1 = require("../../../Types/DiagnosticsBuilder/Severity");
function diagnose_resourcepack_sounds(data, diagnoser) {
    if (data === undefined)
        return;
    const pdata = diagnoser.context.getCache();
    bc_minecraft_bedrock_types_1.Types.Definition.forEach(data, (ref, id) => {
        if (pdata.ResourcePacks.sounds.has(id))
            return;
        diagnoser.Add(ref + "/" + id, `Cannot find sound definition: ${id}`, Severity_1.DiagnosticSeverity.error, "resourpack.sound.missing");
    });
}
exports.diagnose_resourcepack_sounds = diagnose_resourcepack_sounds;
//# sourceMappingURL=diagnostics.js.map